WebXmlSubTask.TagLib (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.web.WebXmlSubTask.TagLib class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.web
Class WebXmlSubTask.TagLib

    java.lang.Object
      xdoclet.modules.web.WebXmlSubTask.TagLib

All Implemented Interfaces:
  Serializable

Enclosing class:
  WebXmlSubTask

public static class WebXmlSubTask.TagLib
extends Object
implements Serializable

Describes a JSP tag library.

Author:
  Aslak Hellesøy
See Also:
  Serialized Form
created
  July 28, 2001

Constructor Summary
`WebXmlSubTask.TagLib()`

Method Summary
`String` | `getLocation()` Gets the Location attribute of the TagLib object
`String` | `getUri()` Gets the Uri attribute of the TagLib object
`void` | `setLocation(String location)` The location (as a resource relative to the root of the web application) where the Tag Libary Description file for the tag library is found.
`void` | `setUri(String uri)` A URI, relative to the location of the web.xml document, identifying the tag library used in the web application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebXmlSubTask.TagLib

    public WebXmlSubTask.TagLib()

Method Detail

### getUri

    public String getUri()

  Gets the Uri attribute of the TagLib object

  Returns:
    The Uri value

### getLocation

    public String getLocation()

  Gets the Location attribute of the TagLib object

  Returns:
    The Location value

### setUri

    public void setUri(String uri)

  A URI, relative to the location of the web.xml document, identifying the tag library used in the web application.

  Parameters:
    `uri` - The new Uri value

### setLocation

    public void setLocation(String location)

  The location (as a resource relative to the root of the web application) where the Tag Libary Description file for the tag library is found.

  Parameters:
    `location` - The new Location value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD